<?php
$core->tpl->addValue('Freshy2StyleSheet',array('tplFreshy2Theme','FreshyStyleSheet'));
$core->tpl->addValue('Freshy2LayoutClass',array('tplFreshy2Theme','FreshyLayoutClass'));
$core->tpl->addBlock('Freshy2IfHasSidebar',array('tplFreshy2Theme','FreshyIfHasSidebar'));
$core->tpl->addBlock('Freshy2IfHasSidebarContent',array('tplFreshy2Theme','FreshyIfHasSidebarContent'));
$core->addBehavior('publicHeadContent',array('tplFreshy2Theme','publicHeadContent'));

class tplFreshy2Theme
{
	public static function FreshyStyleSheet($attr) {
		return "style.css";
	}

	public static function FreshyLayoutClass($attr) {
		$right = $GLOBALS['core']->blog->settings->freshy2_sidebar_right;
		$left = $GLOBALS['core']->blog->settings->freshy2_sidebar_left;
		$class="";
		if ($right != null && $right != "none")
			$class .= "sidebar_right ";
		if ($left != null && $left != "none")
			$class .= "sidebar_left";
		return '<?php echo "'.$class.'"; ?>';
	}

	public static function FreshyIfHasSidebar($attr,$content) {
		$sb['right'] = $GLOBALS['core']->blog->settings->freshy2_sidebar_right;
		$sb['left'] = $GLOBALS['core']->blog->settings->freshy2_sidebar_left;
		if (isset($attr['pos'])) 
			$pos=trim(strtolower($attr['pos']));
		else
			$pos="right";

		if ($sb[$pos] != 'none' && $sb[$pos] != null) {
			return $content;
		}
	}
	public static function FreshyIfHasSidebarContent($attr,$content) {
		$sb['right'] = $GLOBALS['core']->blog->settings->freshy2_sidebar_right;
		$sb['left'] = $GLOBALS['core']->blog->settings->freshy2_sidebar_left;
		if (isset($attr['pos'])) 
			$pos=trim(strtolower($attr['pos']));
		else
			$pos="right";
		if (isset($attr['value'])) 
			$value=trim(strtolower($attr['value']));
		else
			$value="blog_nav";

		if ($sb[$pos] == $value) {
			return $content;
		}
	}
	public static function FreshySidebarContent($attr) {
		$sb['right'] = $GLOBALS['core']->blog->settings->freshy2_sidebar_right;
		$sb['left'] = $GLOBALS['core']->blog->settings->freshy2_sidebar_left;
		if (isset($attr['pos'])) 
			$pos=trim(strtolower($attr['pos']));
		else
			$pos="right";

		return '<?echo "'.$sb[$pos].'"; ?>';
	}

	public static function publicHeadContent(&$core)
	{
		$cust = $core->blog->settings->freshy2_custom;
		$topimg = $core->blog->settings->freshy2_top_image;
		$theme_url=$core->blog->settings->themes_url."/".$core->blog->settings->theme;

		$css_content='';
		if ($cust !== null && $cust !== 'default') {
			$css_content .= '@import url('.
			$theme_url.'/'.$cust.");\n";
		}
		if ($topimg !== null && $topimg !== 'default') {
			$css_content .= "#header_image {\n".
				"background-image:url(".$theme_url.'/images/headers/'.$topimg.");\n".
				"}\n";
		}
		if ($css_content != "") {
			echo '<style type="text/css" media="screen">'."\n".
				$css_content.
				"</style>\n";
		}
	}
}
?>
